function [x]=forwband (L,p,b)
% FORWBAND sostituzioni in avanti per una matrice a banda.
%  X=FORWBAND(L,P,B) risolve il sistema triangolare inferiore L*X=B,
%  dove L e` una matrice con banda inferiore di larghezza P.
[n,m]=size(L);x=[];
if n ~= m, error('Solo sistemi quadrati'); end
x=b;
for j = 1:n
    i=j+1:min(j+p,n); x(i) = x(i) - L(i,j)*x(j);
end
return
