function [j,V,H]=gsarnoldi(A,m,j,V,H)
% GSARNOLDI metodo di Gram-Schmidt per l'algoritmo di Arnoldi.
j=j+1; Avj=A*V(:,j);
H=[H,V(:,1:j)'*Avj];
s=0;
for i=1:j
    s=s+H(i,j)*V(:,i);
end
w=Avj-s; H(j+1,j)=norm(w,2);
if H(j+1,j)>=eps &&  j<m
    V=[V,w/H(j+1,j)];
else
    j=m+1;
end
return
