function [pnz,b] = horner(a,n,z)
% HORNER algoritmo di divisione sintetica per i polinomi.
% [PNZ,B]=HORNER(A,N,Z) valuta in Z con il metodo di Horner un polinomio
% di grado N avente coefficienti A(1),...,A(N).
b(1)=a(1);
for j=2:n+1
    b(j)=a(j)+b(j-1)*z;
end
pnz=b(n+1);
return
