function [x,w]=zplagu(n)
% ZPLAGU formula di Laguerre-Gauss.
% [X,W]=ZPLAGU(N) calcola nodi e pesi della formula di Laguerre-Gauss a N+1 nodi.
if n<1, error('n deve essere >=1 '); end
np=n+1;
[a,b]=coeflagu(np);
JacM=diag(a)+diag(sqrt(b(2:np)),1)+diag(sqrt(b(2:np)),-1);
[w,x]=eig(JacM); x=diag(x); w=w(1,:)'.^2;
return
