function [b]=backband (U,q,b)
% BACKBAND sostituzioni all'indietro per una matrice a banda.
%  X=BACKBAND(U,Q,B) risolve il sistema triangolare superiore U*X=B,
%  dove U e` una matrice con banda superiore di larghezza Q.
[n,m]=size(U);
if n ~= m, error('Solo sistemi quadrati'); end
for j=n:-1:1
    b (j) = b (j) / U (j,j);
    i = [max(1,j-q):j-1]; b(i)=b(i)-U(i,j)*b(j);
end
return
