function int=traptr2d(xv,yv,fun)
% TRAPTR2D formula del trapezio su un triangolo.
% INT=TRAPTR2D(XV,YV,FUN) calcola l'integrale di FUN sul triangolo di
% vertici XV(K),YV(K), K=1,2,3. FUN e` una funzione di x and y.
y12=yv(1)-yv(2);
y23=yv(2)-yv(3);
y31=yv(3)-yv(1);
areat=0.5*abs(xv(1)*y23+xv(2)*y31+xv(3)*y12);
int=sum(fun(xv,yv))*areat/3;
return
